/*
    chrome/content/g15thunderbird.js
    By YuGiOhJCJ <yugiohjcj@1s.fr>
    http://yugiohjcj.1s.fr/
    2011-07-25

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

if(!com) var com={};
if(!com.g15thunderbird) com.g15thunderbird={};
if(!com.g15thunderbird.functions) com.g15thunderbird.functions=
{
	drawOnG15: function(args)
	{
		   // create an nsIFile for the executable
		   var file = Components.classes["@mozilla.org/file/directory_service;1"]
			.getService(Components.interfaces.nsIProperties)
			.get("ProfD", Components.interfaces.nsIFile);
		   try
		   {
			   file.append("extensions");
			   file.append("g15@thunderbird.com");
			   file.append("chrome");
			   file.append("content");
			   file.append("draw-on-g15");
		   }
		   catch(NS_ERROR_FILE_UNRECOGNIZED_PATH)
		   {
			   alert("Unable to create the '"+file.path+"' file. You should report this error to YuGiOhJCJ <yugiohjcj@1s.fr>.");
		   }
		   // create an nsIProcess
		   var process = Components.classes["@mozilla.org/process/util;1"]
			   .createInstance(Components.interfaces.nsIProcess);
		   try
		   {
		   	process.init(file);
		   }
		   catch(NS_ERROR_FILE_TARGET_DOES_NOT_EXIST)
		   {
			   alert("Unable to create the '"+file.path+"' process. You should report this error to YuGiOhJCJ <yugiohjcj@1s.fr>.");
		   }
		   // Run the process.
		   // If first param is true, calling thread will be blocked until
		   // called process terminates.
		   // Second and third params are used to pass command-line arguments
		   // to the process.
		   process.run(false, args, args.length);
	}
}

// call drawOnG15 at startup
com.g15thunderbird.functions.drawOnG15(["[g15thunderbird]", "", "By YuGiOhJCJ <yugiohjcj@1s.fr>", "", "http://yugiohjcj.1s.fr/"]);

// call drawOnG15 when got mail
var notificationService = Components.classes["@mozilla.org/messenger/msgnotificationservice;1"]
	.getService(Components.interfaces.nsIMsgFolderNotificationService);
notificationService.addListener(
{
	msgAdded: function(aMsgHdr)
	{
		com.g15thunderbird.functions.drawOnG15(["[g15thunderbird]", "", "Got mail.", "", "From: "+ aMsgHdr.author, "To: "+aMsgHdr.recipients, "Subject: "+aMsgHdr.subject]);
	}
}, notificationService.msgAdded); 
